* jdblclk.prg
*
* example of how to use DBL-Clicks to exit browse.
*
close data
set talk off
clear
if !file("jkeysamp.dbf")
	use (sys(2004)+"foxhelp") again && open the FOXHELP file
	copy to jkeysamp fields topic, class
	use jkeysamp
	index on upper(topic) tag topic
endif

**** Load jKey into memory
if "2.0"$version()
	set library to jKey20 additive
else
	set library to jKey additive
endif

**** Define the window that will be used for the browse.
define window jbrowser from 10, 5 to 20, 75 ;
	color scheme 10 ;
	close float grow zoom

**** Open the JKEYSAMP file (created above)
use jkeysamp order topic

**** Set the SYSMENU OFF before using jKey.
if !"WINDOWS"$upper(version()) && don't use _DOS/_WIN for 2.0 compatibility
	set sysmenu off
else
	set clock status
endif

_JEXITKEY = 13 && char 13 (enter) ends jKey.
_JDBLCLICK = .75 && Timeout for resetting search

store -1 to m.g_lastrow, m.g_lastcol, m.g_lastcllk

=jKeyInit("U", "", "Find this: ")
on key label leftmouse do i_dblclk
brow window jbrowser
on key label leftmouse
=jKeyCanc()

procedure i_dblclk
*
private all like l_*

if mrow() # m.g_lastrow or ;
   mcol() # m.g_lastcol or ;
   (seco() - g_lastcllk) > _DBLCLICK
	m.g_lastrow = mrow()
	m.g_lastcol = mcol()
	m.g_lastcllk = seco()
else
	**** same row and col within _DBLCLICK seconds!
	keyb chr(23)
endif
